
/*
*===========================================================
*        File Name: timer0.h
*          Version: A1
*          Created: 2015-8-14
*         Revision: 00
*         Compiler: ARMCC.exe V5.03.0.76
*           Author: 
*          Company: Analog Devices Inc
*===========================================================
*/
#ifndef TIMER0_H_
#define TIMER0_H_

#include "inc\ADuCM360.h"
#include "inc\system_ADUCM360.h"
#include "common\GptLib.h"


#define TIMER0_TIMEOUT_TICK					5000
#define TIMER0_LOAD_INIT						(1000000/TIMER0_TIMEOUT_TICK)

typedef union {
	uint16_t Val;
	struct {
		uint16_t PRE 				: 2;
		uint16_t UP					: 1;
		uint16_t MOD				: 1;
		uint16_t ENABLE			: 1;
		uint16_t CLK				: 2;
		uint16_t RLD				: 1;
		uint16_t EVENT			: 4;
		uint16_t EVENTEN		: 1;
		uint16_t Reserved		: 3;
	}BITs;
} TCON_T;

typedef struct{
	unsigned long cnt;
	void (*init)(int timeout);
	void (*timeout)(unsigned int timeoutfreq);
	void (*enable)(void);
	void (*disable)(void);
	void (*clear_int)(void);
	void (*recount)(void);
	void (*Int_Handler)(void);
}TIMER0_T;

extern TIMER0_T timer0;

#endif /*TIMER0_H_*/

